Bug 1196738 - CVE-2015-0292 CVE-2015-0209 CVE-2015-0287 CVE-2015-0286 CVE-2015-0289 CVE-2015-0288 openssl: various flaws [fedora-all]
Summary: CVE-2015-0292 CVE-2015-0209 CVE-2015-0287 CVE-2015-0286 CVE-2015-0289 CVE-201...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openssl
Version: 21
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-0209 CVE-2015-0286 CVE-2015-0287 CVE-2015-0289 CVE-2015-0292 CVE-2015-0293 CVE-2015-0288
TreeView+ depends on / blocked
 
Reported: 2015-02-26 16:00 UTC by Vasyl Kaigorodov
Modified: 2015-03-23 07:17 UTC (History)
1 user (show)

Fixed In Version: openssl-1.0.1e-42.fc20
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-22 04:39:21 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-02-26 16:00:40 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vasyl Kaigorodov 2015-02-26 16:00:44 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1196737,1196738

# Description of your update
notes=Security fix for CVE-2015-0209

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1196737,1196738

Comment 2 Tomas Hoger 2015-03-19 19:02:10 UTC
Adding parent bug 1202366 (for CVE-2015-0286).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1196738,1196737,1202366

# Description of your update
notes=Security fix for CVE-2015-0209, CVE-2015-0286

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1196738,1196737,1202366

Comment 3 Tomas Hoger 2015-03-19 19:03:01 UTC
Adding parent bug 1202380 (for CVE-2015-0287).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1196738,1196737,1202366,1202380

# Description of your update
notes=Security fix for CVE-2015-0209, CVE-2015-0286, CVE-2015-0287

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1196738,1196737,1202366,1202380

Comment 4 Tomas Hoger 2015-03-19 19:03:59 UTC
Adding parent bug 1202384 (for CVE-2015-0289).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1196738,1196737,1202366,1202380,1202384

# Description of your update
notes=Security fix for CVE-2015-0209, CVE-2015-0287, CVE-2015-0286, CVE-2015-0289

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1196738,1196737,1202366,1202380,1202384

Comment 5 Tomas Hoger 2015-03-19 19:04:55 UTC
Adding parent bug 1202395 (for CVE-2015-0292).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1196738,1196737,1202366,1202380,1202384,1202395

# Description of your update
notes=Security fix for CVE-2015-0209, CVE-2015-0289, CVE-2015-0287, CVE-2015-0286, CVE-2015-0292

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1196738,1196737,1202366,1202380,1202384,1202395

Comment 6 Tomas Hoger 2015-03-19 19:05:51 UTC
Adding parent bug 1202404 (for CVE-2015-0293).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1196738,1196737,1202366,1202380,1202384,1202395

# Description of your update
notes=Security fix for CVE-2015-0209, CVE-2015-0289, CVE-2015-0292, CVE-2015-0287, CVE-2015-0286, CVE-2015-0293

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1196738,1196737,1202366,1202380,1202384,1202395

Comment 7 Tomas Hoger 2015-03-19 19:06:53 UTC
Adding parent bug 1202418 (for CVE-2015-0288).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1196738,1196737,1202366,1202380,1202384,1202395,1202404,1202418

# Description of your update
notes=Security fix for CVE-2015-0209, CVE-2015-0289, CVE-2015-0292, CVE-2015-0287, CVE-2015-0286, CVE-2015-0288

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1196738,1196737,1202366,1202380,1202384,1202395,1202404,1202418

Comment 8 Fedora Update System 2015-03-19 19:45:09 UTC
openssl-1.0.1k-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/openssl-1.0.1k-6.fc22

Comment 9 Fedora Update System 2015-03-19 19:45:21 UTC
openssl-1.0.1k-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/openssl-1.0.1k-6.fc21

Comment 10 Fedora Update System 2015-03-19 19:45:31 UTC
openssl-1.0.1e-42.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openssl-1.0.1e-42.fc20

Comment 11 Fedora Update System 2015-03-21 04:57:36 UTC
Package openssl-1.0.1e-42.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openssl-1.0.1e-42.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4300/openssl-1.0.1e-42.fc20
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2015-03-22 04:39:21 UTC
openssl-1.0.1k-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-03-22 04:40:29 UTC
openssl-1.0.1k-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-03-23 07:17:49 UTC
openssl-1.0.1e-42.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.